Bug 249524 - Review Request: wxdfast - Multi-threaded download manager
Review Request: wxdfast - Multi-threaded download manager
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dan Horák
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-07-25 08:16 EDT by Adel Gadllah
Modified: 2007-11-30 17:12 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-09-09 05:06:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
dan: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)
patch for Makefile.* (1.07 KB, patch)
2007-08-22 04:36 EDT, Dan Horák
no flags Details | Diff
spec file patch (820 bytes, patch)
2007-08-22 04:36 EDT, Dan Horák
no flags Details | Diff

  None (edit)
Description Adel Gadllah 2007-07-25 08:16:28 EDT
Spec URL: http://tgmweb.at/gadllah/wxdfast.spec
SRPM URL: http://tgmweb.at/gadllah/wxdfast-0.6.0-1.fc7.src.rpm
Description:
wxDownload Fast (also known as wxDFast) is an open source multi-threaded
download manager.This means that it can split a file into several pieces
and download the pieces simultaneously
Comment 1 Dan Horák 2007-08-22 03:34:45 EDT
some notes from testing before formal review:
 - update license tag GPL => GPLv2, icons are using Creative Commons Public License
 - in %build - using %configure is enough, no need to set prefix, ..., no need
to explicitly set CXXFLAGS for make
 - remove execute bit from source files (find + xargs chmod a-x)
 - debug package does not contain the sources (tested in mock for Rawhide/i386
and natively on FC6/x86_64)
Comment 2 Dan Horák 2007-08-22 04:35:00 EDT
Sorry, overwriting the CXXFLAGS is necessary. Only in the top-level makefile
they are OK. The debug package is created correctly too. But I have a solution
that can be posted upstream, see attachments.
Comment 3 Dan Horák 2007-08-22 04:36:01 EDT
Created attachment 162036 [details]
patch for Makefile.*
Comment 4 Dan Horák 2007-08-22 04:36:32 EDT
Created attachment 162037 [details]
spec file patch
Comment 5 Adel Gadllah 2007-08-22 05:08:58 EDT
hi
thx for the patches I applied them, new package here:
http://tgmweb.at/gadllah/wxdfast.spec
http://tgmweb.at/gadllah/wxdfast-0.6.0-2.fc7.src.rpm
Comment 6 Dan Horák 2007-08-23 01:50:08 EDT
there is a typo in the spec file when doing chmod a-x - there is \*.cpp twice
Comment 7 Adel Gadllah 2007-08-23 07:35:40 EDT
Fixed package is here:
http://tgmweb.at/gadllah/wxdfast.spec
http://tgmweb.at/gadllah/wxdfast-0.6.0-3.fc7.src.rpm
also some .h files needed fixing added that too.
Comment 8 Dan Horák 2007-08-23 16:18:06 EDT
the review is here:

OK	source files match upstream:
	09f8a13c399e6e8f40e9b0a2776acd4133f0f1f6  wxdfast_0.6.0.tar.gz
OK	package meets naming and versioning guidelines.
OK	specfile is properly named, is cleanly written and uses macros consistently.
OK	dist tag is present.
OK	build root is correct.
OK	license field matches the actual license.
OK	license is open source-compatible. License text included in package.
OK	latest version is being packaged.
OK	BuildRequires are proper.
OK	compiler flags are appropriate.
OK	%clean is present.
OK	package builds in mock (Development/i386).
OK	debuginfo package looks complete.
OK	rpmlint is silent.
OK	final provides and requires look sane:
OK	no shared libraries are added to the regular linker search paths.
OK	owns the directories it creates.
OK	doesn't own any directories it shouldn't.
OK	no duplicates in %files.
OK	file permissions are appropriate.
OK	no scriptlets present.
OK	code, not content.
OK	documentation is small, so no -docs subpackage is necessary.
OK	%docs are not necessary for the proper functioning of the package.
OK	no headers.
OK	no pkgconfig files.
OK	no libtool .la droppings.
OK	is a GUI app and correctly install its desktop file

this package is APPROVED

PS: are you aware of the many unresolved bugs in the project's sf.net bugtracker?
Comment 9 Adel Gadllah 2007-08-23 17:04:48 EDT
> this package is APPROVED

ok, thx for the review.
 
> PS: are you aware of the many unresolved bugs in the project's sf.net bugtracker?

no was working quite good for me (no issues yet) but thx will look at them.

Comment 10 Adel Gadllah 2007-08-23 17:07:07 EDT
New Package CVS Request
=======================
Package Name: wxdfast
Short Description: Multi-threaded download manager
Owners: drago01
Branches: FC-6 F7 devel
InitialCC: 
Cvsextras Commits: no
Comment 11 Kevin Fenzi 2007-08-24 11:32:48 EDT
cvs done.
Comment 12 Dan Horák 2007-09-09 05:02:13 EDT
you should close this bug, as the package is already built
Comment 13 Adel Gadllah 2007-09-09 05:06:15 EDT
sorry was waiting for the update push to be able to build it for fc6 then I
forgot to close the bug.

Note You need to log in before you can comment on or make changes to this bug.